import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { Cell, Icon } from '@antmjs/vantui';
import Page from '@/layouts/index';
import PowerList from '@/components/PowerList';
import { getTaCheckItem } from '@/services/tacheckitem';

export default (props) => {

  const router = Taro.useRouter();
  const { checkId } = router.params;

  const [loading, setLoading] = React.useState(false);

  const params = React.useMemo(() => ({
    checkId,
    itemType: 'loc',
    pageSize: 100,
    mustValid: true,
  }), [checkId]);

  const onClick = (item) => {
    Taro.navigateTo({
      url: `/pages/check/loc/edit/index?id=${item.itemId}`
    })
  }
  
  return (
    <Page loading={loading}>
      <PowerList
        request={getTaCheckItem}
        params={params}
        renderItem={item => (
          <Cell
            key={item.itemId}
            title={item.name}
            renderRightIcon={(
              <Icon name={item.readonly ? 'link-o' : 'arrow'} />
            )}
            onClick={() => onClick(item)}
          />
        )}
        onLoadingChange={setLoading}
      />
    </Page>
  )
}
